Name:           plexus-io
Version:        2.7.1
Release:        %mkrel 1
Group:          Development/Java

Summary:        Plexus IO Components
License:        ASL 2.0
URL:            https://github.com/codehaus-plexus/plexus-io
BuildArch:      noarch

Source0:        https://github.com/codehaus-plexus/plexus-io/archive/plexus-io-%{version}.tar.gz
Source1:        http://www.apache.org/licenses/LICENSE-2.0.txt

BuildRequires:  maven-local
BuildRequires:  mvn(com.google.code.findbugs:jsr305)
BuildRequires:  mvn(commons-io:commons-io)
BuildRequires:  mvn(org.apache.maven.plugins:maven-enforcer-plugin)
BuildRequires:  mvn(org.codehaus.plexus:plexus-container-default)
BuildRequires:  mvn(org.codehaus.plexus:plexus:pom:)
BuildRequires:  mvn(org.codehaus.plexus:plexus-utils)

%description
Plexus IO is a set of plexus components, which are designed for use
in I/O operations.

%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
API documentation for %{name}.


%prep
%setup -q -n plexus-io-plexus-io-%{version}
cp %{SOURCE1} .

%pom_remove_plugin :animal-sniffer-maven-plugin

%build
%mvn_file  : plexus/io
%mvn_build

%install
%mvn_install

%files -f .mfiles
%license NOTICE.txt LICENSE-2.0.txt

%files javadoc -f .mfiles-javadoc
%license NOTICE.txt LICENSE-2.0.txt




%changelog
* Mon May 08 2017 neoclust <neoclust> 2.7.1-1.mga6
+ Revision: 1099585
- new version 2.7.1
- Second rebuild of the java stack

* Wed Feb 24 2016 neoclust <neoclust> 2.6-3.mga6
+ Revision: 977771
- First rebuild of the java stack
- sync package plexus-io with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Wed Dec 31 2014 pterjan <pterjan> 1:2.0.10-1.mga5
+ Revision: 807762
- Sync with Fedora 21 (update to 2.0.10)

* Wed Oct 15 2014 umeabot <umeabot> 1:2.0.5-4.mga5
+ Revision: 741338
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1:2.0.5-2.mga4
+ Revision: 529230
- Mageia 4 Mass Rebuild

* Mon Jul 08 2013 dmorgan <dmorgan> 1:2.0.5-1.mga4
+ Revision: 451047
- New version

* Sun Jan 13 2013 umeabot <umeabot> 1:2.0.4-3.mga3
+ Revision: 377901
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 03 2012 dmorgan <dmorgan> 1:2.0.4-2.mga3
+ Revision: 325798
- Add BR on maven-enforcer-plugin.
- Update to latest upstream.

* Sat Mar 03 2012 gil <gil> 1:2.0.2-1.mga2
+ Revision: 217153
- update to 2.0.2

* Thu Jan 05 2012 dmorgan <dmorgan> 1:1.0.1-2.mga2
+ Revision: 191862
- Revert to version 1.x
- Disable tests

* Fri Dec 23 2011 dmorgan <dmorgan> 2.0.1-1.mga2
+ Revision: 186240
- New version 2.0.1

* Fri Dec 09 2011 dmorgan <dmorgan> 1.0.1-2.mga2
+ Revision: 179541
- Removal of plexus-maven-plugin dependency (not needed)

* Wed Jul 20 2011 dmorgan <dmorgan> 1.0.1-1.mga2
+ Revision: 126874
- Update to upstream 1.0.1.
    Adapt to current guidelines.

* Thu Apr 28 2011 dmorgan <dmorgan> 1.0-0.3.a5.2.mga1
+ Revision: 93026
- Rebuild after bootstrapping
- imported package plexus-io


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-0.3.a5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Dec 23 2009 Alexander Kurtakov <akurtako@redhat.com> 1.0-0.2.a5
- Fix review comments.

* Wed Dec 23 2009 Alexander Kurtakov <akurtako@redhat.com> 1.0-0.1.a5.1
- Initial package
